org.apache.uima.cas.impl

## Class CommonAuxArrayFSImpl

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.cas.impl.FeatureStructureImplC
    - - org.apache.uima.cas.impl.CommonAuxArrayFSImpl

- All Implemented Interfaces:
    Cloneable, FeatureStructure
  Direct Known Subclasses:
    BooleanArrayFSImpl, ByteArrayFSImpl, DoubleArrayFSImpl, LongArrayFSImpl, ShortArrayFSImpl

      public abstract class CommonAuxArrayFSImpl
      extends FeatureStructureImplC

  Common part of array impl for those arrays of primitives which use auxilliary heaps. Is a super class to those.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `addr, casImpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CommonAuxArrayFSImpl()`
    `protected` | `CommonAuxArrayFSImpl(CASImpl cas, int addr)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copyFromJavaArray(Object src, int srcOffset, Object casAuxHeap, int tgtOffset, int length)` copyFromArray - only works for things where the src and tgt are the same underlying type (long and byte) src = external java object, tgt = internal CAS Aux heap
    `abstract void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)`
    `protected void` | `copyToJavaArray(Object casAuxHeap, int srcOffset, Object tgt, int tgtOffset, int length)` copyFromArray - only works for things where the src and tgt are the same underlying type (long and byte) src = internal CAS Aux heap, tgt = external java object
    `int` | `size()`
    `protected Object` | `toArray(Object casAuxHeap)`
    `String[]` | `toStringArray()`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `equals, getAddress, getCAS, getCASImpl, hashCode`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonAuxArrayFSImpl

          protected CommonAuxArrayFSImpl()

    - #### CommonAuxArrayFSImpl

          protected CommonAuxArrayFSImpl(CASImpl cas,
                                         int addr)

  - ### Method Detail

    - #### size

          public int size()

      Returns:
        -
      See Also:
        `ArrayFS.size()`

    - #### copyFromJavaArray

          protected void copyFromJavaArray(Object src,
                                           int srcOffset,
                                           Object casAuxHeap,
                                           int tgtOffset,
                                           int length)

      copyFromArray - only works for things where the src and tgt are the same underlying type (long and byte) src = external java object, tgt = internal CAS Aux heap
      Parameters:
        `src` - -
        `srcOffset` - -
        `casAuxHeap` - -
        `tgtOffset` - -
        `length` - -

    - #### copyToJavaArray

          protected void copyToJavaArray(Object casAuxHeap,
                                         int srcOffset,
                                         Object tgt,
                                         int tgtOffset,
                                         int length)

      copyFromArray - only works for things where the src and tgt are the same underlying type (long and byte) src = internal CAS Aux heap, tgt = external java object
      Parameters:
        `casAuxHeap` - -
        `srcOffset` - -
        `tgt` - -
        `tgtOffset` - -
        `length` - -

    - #### toArray

          protected Object toArray(Object casAuxHeap)

      Parameters:
        `casAuxHeap` - -
      Returns:
        -
      See Also:
        `ArrayFS.toArray()`

    - #### copyToArray

          public abstract void copyToArray(int srcOffset,
                                           String[] dest,
                                           int destOffset,
                                           int length)

    - #### toStringArray

          public String[] toStringArray()

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.